Неудовлетворенные зависимости (linux-headers, linux-image)

Я пытаюсь установить программу на моем Linux. Когда работает: sudo apt-get install nams Я продолжаю получать:

Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Вы можете запустить 'apt-get -f install', чтобы исправить это:
Следующие пакеты имеют неудовлетворенные зависимости:
         linux-image-extra-4.4.0-71-generic:   
          Зависит от: linux-image-4.4.0-71-generic, но не будет установлен
         linux-image-generic:  
          Зависит от: linux-image-4.4.0-71-generic, но не будет установлен
E: Неудовлетворенные зависимости. Попробуйте 'apt-get -f install' без пакетов (или укажите решение).

Я попытался исправить это, выполнив: sudo apt-get -f install

1 ответ

Похоже, у вас есть двойной источник в вашем списке.

Чтобы исправить эту проблему:

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get -f install

Затем запустите:

sudo dpkg --configure -a
sudo apt-get -f install

Также вы можете закомментировать двойной источник в sources.list

Если вам нужна помощь, распечатайте вывод sources.list и покажите мне.

Как это:

cat /etc/apt/sources.list > /home/user/sources.txt

Если вы хотите сделать это самостоятельно, просто используйте nano или vim:

sudo nano /etc/apt/sources.list
Другие вопросы по тегам